### Method

# ECal ComponentPropertyBag get_first_by_kind

since: 3.34

#### Declaration [src]

    guint
    e_cal_component_property_bag_get_first_by_kind (
      const ECalComponentPropertyBag* bag,
      ICalPropertyKind kind
    )

#### Description

No description available.

Available since: 3.34

#### Parameters

`kind`

  Type: `ICalPropertyKind`

  An `ICalPropertyKind` to search for.

#### Return value

Type: `guint`

The index of the first property of the given `kind`, or value out of bounds, if such property cannot be found.